# Teleporter Show

Shows the teleporter if you have 'discovered' it or all the time if you change the config.

I noticed that the old [Mark Teleporter](https://thunderstore.io/package/OrangutanGaming/MarkTeleporter) was marked deprecated so I decided to update it.

I have added way to "discover" the teleporter if you don't want to just always know exactly where the teleporter is. If the player is closer than the distance set in `BepInEx/config/com.Pickleses.TeleShow`  it will show the teleporter until the next stage.

You can also ping the teleporter if you can see it but aren't close enough for it to be "discovered"

If the distance in the config is set to -1 it will show the teleporter all the time.

Also please check out my favorite streamer, she's very funny and nice! https://www.twitch.tv/sup3rqu33n

## Installation

1. Install [BepInEx Mod Pack](https://thunderstore.io/package/bbepis/BepInExPack).
2. Install [R2API](https://thunderstore.io/package/tristanmcpherson/R2API).
3. Move `TelesShow.dll` to `BepInEx/plugins/`
4. Launch the game and edit `BepInEx/config/com.Pickleses.TeleShow` to your liking


## Change Log
--2.3.1--
Fixed a small bug with the ping system thanks to Dynamo for pointing it out on Dynamo.

--2.3.0--
Updated to the artifacts update and added the ability to ping the teleporter

--2.2.1--
Removed some unnecessary console logs

--2.2.0--
Fixed an bug I totally missed

--2.1.0--
Added Teleporter "discovery" functionality

--2.0.1--
Initial release
